org.optaplanner.core.config.constructionheuristic.decider.forager

## Class ConstructionHeuristicForagerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<ConstructionHeuristicForagerConfig>
  - - org.optaplanner.core.config.constructionheuristic.decider.forager.ConstructionHeuristicForagerConfig

-     public class ConstructionHeuristicForagerConfig
      extends AbstractConfig<ConstructionHeuristicForagerConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstructionHeuristicForagerConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConstructionHeuristicForager` | `buildForager(HeuristicConfigPolicy configPolicy)`
    `ConstructionHeuristicPickEarlyType` | `getPickEarlyType()`
    `void` | `inherit(ConstructionHeuristicForagerConfig inheritedConfig)` Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `void` | `setPickEarlyType(ConstructionHeuristicPickEarlyType pickEarlyType)`

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `copyConfig, deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, newInstance, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstructionHeuristicForagerConfig

          public ConstructionHeuristicForagerConfig()

  - ### Method Detail

    - #### getPickEarlyType

          public ConstructionHeuristicPickEarlyType getPickEarlyType()

    - #### setPickEarlyType

          public void setPickEarlyType(ConstructionHeuristicPickEarlyType pickEarlyType)

    - #### buildForager

          public ConstructionHeuristicForager buildForager(HeuristicConfigPolicy configPolicy)

    - #### inherit

          public void inherit(ConstructionHeuristicForagerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<ConstructionHeuristicForagerConfig>`
      Parameters:
        `inheritedConfig` - never null

Copyright © 2006–2019 JBoss by Red Hat. All rights reserved.